
Summary: 	Enlightenment DR 18 window manager
Name: 		enlightenment
Version: 	0.20.6
Release: 	%mkrel 1
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL:		http://www.enlightenment.org/
Source: 	%name-%{version}.tar.xz
Source1:	enlightenment.menu
Source4:	goe
Patch0:    	e17_sysactions.conf.patch
#-------------------------------------------
BuildRequires: e-elementary-devel
BuildRequires: efl-devel
BuildRequires: libxcb-devel
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}bluez-devel
BuildRequires: %{_lib}pam-devel
BuildRequires: %{_lib}xcb-util-keysyms-devel
#--------------------------------------------
Requires: e-elementary
Requires: efl
Requires: evas_generic_loaders
Requires: gnome-icon-theme
Requires: gksu

Requires: polkit
Requires: %{_lib}polkit1_0

Requires: policykit
Requires: %{_lib}polkit2

Requires: consolekit
Requires: consolekit-x11
Requires: %{_lib}consolekit0

Requires: polkit-gnome
Requires: %{_lib}polkit-gtk1_0

#--------------------------------------------
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root


%description
E18 is a next generation window manager for UNIX operating systems. Based on
the Enlightenment Foundation Libraries (EFL), E18 is much more than just
another window manager - it's an ambitious and innovative project that aims
to drive the development of graphical applications industry-wide for several
years to come.

%package devel
Summary: Enlightenment library headers and development libraries
Group: Development/Libraries


%description devel
E18 development headers and development libraries.

%prep
%setup -qn %name-%{version}
%apply_patches

%build
%configure2_5x

%make


%install
rm -rf %buildroot
%makeinstall_std

find %buildroot -name '*.la' | xargs rm

#fake e-config
touch %buildroot/%{_bindir}/enlightenment-config
%multiarch_binaries %buildroot/%{_bindir}/enlightenment-config
%find_lang enlightenment

# display manager entry
mkdir -p %buildroot/%{_sysconfdir}/X11/wmsession.d
cat << EOF > $RPM_BUILD_ROOT/%{_sysconfdir}/X11/wmsession.d/23E19
NAME=E19
ICON=
EXEC=/usr/bin/goe
SCRIPT:
exec /usr/bin/goe
EOF

#dont need this
rm -f %{buildroot}/%{_datadir}/xsessions/enlightenment.desktop

#install our default menu
install -m 0644 %SOURCE1 %{buildroot}%_sysconfdir/xdg/menus/e-applications.menu

#custom start file
install -m 0755 %SOURCE4 %buildroot/%_bindir/goe

%files -f enlightenment.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING doc/*
%_bindir/goe
%_bindir/enlightenment
%_bindir/enlightenment_*
%_datadir/enlightenment
%_libdir/enlightenment
%_datadir/applications/enlightenment_filemanager.desktop
%_sysconfdir/X11/wmsession.d/23E19
%_sysconfdir/enlightenment/sysactions.conf
%_sysconfdir/xdg/menus/e-applications.menu
%_bindir/emixer
%_datadir/applications/emixer.desktop
%_datadir/pixmaps/emixer.png


%files devel
%defattr(-,root,root)
%{_bindir}/enlightenment-config
%{_libdir}/pkgconfig/*.pc
%multiarch %{multiarch_bindir}/enlightenment-config
%_includedir/enlightenment

%post
%make_dm_session

%postun
%make_dm_session

%clean
rm -rf %buildroot

%changelog
* Thu Mar 10 2016 bb <bb> 0.20.6-1pclos2016
- update

* Tue Mar 08 2016 bb <bb> 0.20.5-2pclos2016
- run gnome-polkit at login so pcc and
- synaptic work

* Thu Feb 04 2016 bb <bb> 0.20.5-1pclos2016
- update

* Mon Jan 18 2016 bb <bb> 0.20.3-1pclos2016
- update

* Mon Dec 28 2015 bb <bb> 0.20.2-1pclos2015
- update

* Mon Dec 14 2015 bb <bb> 0.20.1-1pclos2015
- update

* Sun Dec 06 2015 bb <bb> 0.19.14-1pclos2015
- update

* Sun Nov 15 2015 bb <bb> 0.19.13-1pclos2015
- update

